Download it now!
Bug 59962 - Counting: choose number of characters for the whole document
Summary: Counting: choose number of characters for the whole document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium enhancement
Assignee: Robert Roth
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-28 09:32 UTC by vulcain
Modified: 2013-02-06 07:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vulcain 2013-01-28 09:32:03 UTC
Since LibreOffice 3.6, we could see the number of the word in status bar.
https://wiki.documentfoundation.org/ReleaseNotes/3.6#Writer

But, it could be fine if we could have the number of characters in the same place.

In LibreOffice 3.6's status bar: 
+----------+------------+----------------+----------+---
| Page 1/1 | Words : 42 |  Default Style | Language | ... 
+----------+------------+----------------+----------+---

Expected status bar:
+----------+------------------------------+----------------+----------+---
| Page 1/1 | Words(characters) : 42(1024) |  Default Style | Language | ... 
+----------+------------------------------+----------------+----------+---
Comment 1 Jorendc 2013-01-30 13:53:43 UTC
Thanks for reporting!

This is an enhancement request, so I mark it as such. Can't find any duplicates either.
Comment 2 Not Assigned 2013-02-06 00:28:47 UTC
Robert Roth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=947041e1ab4de4723c537eebd37421d929836700

Show character count with word count in writer statusbar, fdo#59962



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Adolfo Jayme 2013-02-06 07:58:20 UTC
I reckon that with the proposed change and the fix, the status bar will be filled with too much text after translating it.